..
  SPDX-License-Identifier: BSD-3-Clause
  Copyright Contributors to the OpenEXR Project.

Frustum
#######

.. code-block::

   #include <Imath/ImathFrustum.h>
   
The ``Frustum`` class template represents a 3D viewing frustum, with
predefined typedefs of type ``float`` and ``double``.

Example:

.. literalinclude:: ../examples/Frustum.cpp
   :language: c++                 

.. doxygentypedef:: Frustumf

.. doxygentypedef:: Frustumd
                    
.. doxygenclass:: Imath::Frustum
   :undoc-members:
   :members:
